[CentOS] Duplicated packages after yum crash

Giovanni P. Tirloni gpt at tirloni.org
Thu Oct 20 02:22:02 UTC 2005

Giovanni P. Tirloni wrote:
> Hi,
>  I asked yum to update all packages on my CentOS 4.1 system and glibc 
> was among them. Yum crashed in the middle and now I've some packages 
> installed twice:
>       2 zlib-
>       2 ncurses-5.4-13
>       2 mysql-4.1.10a-2.RHEL4.1
>       2 libstdc++-3.4.4-2
>       2 libstdc++-3.4.3-22.1
>       2 libselinux-1.19.1-7
>       2 libgcc-3.4.4-2
>       2 libgcc-3.4.3-22.1
>       2 glibc-2.3.4-2.9
>       2 glibc-2.3.4-2.13
>       2 e2fsprogs-1.35-12.2.EL4
>       2 device-mapper-1.01.04-1.0.RHEL4
>       2 device-mapper-1.01.01-1.RHEL4
>  Running yum again it complains about a package conflict:
>   Finished Transaction Test
>   Transaction Check Error:   file /usr/share/man/man1/asn1parse.1ssl.gz
>     from install of openssl-0.9.7a-43.4 conflicts with file from package
>     openssl-0.9.7a-43.2
>  This system was beatiful now I've that, ugh :(
>  Any idea about how to fix that ? I'm afraid of touching glibc because 
> this machine is on a datacenter 500Km away from here and it's pretty 
> critical.

  I'm trying to fix this mess. What I'm doing is using rpm -V to verify 
the packages that are duplicated. For example, the newer glibc package 
seems to verify just fine. And the old gives a lot of errors.

# rpm -V glibc-2.3.4-2.13
........C   /usr/lib64/gconv/gconv-modules.cache
.......T. c /etc/rpc
........C   /usr/lib/gconv/gconv-modules.cache

# rpm -V glibc-2.3.4-2.9
.......T. c /etc/rpc
S.5....T.   /lib/i686/libc-2.3.4.so
S.5....T.   /lib/i686/libm-2.3.4.so

  Can I assume yum installed the newer version and just wasn't able to 
remove the old entry somehow ?

  I tried to remove the older apr package and it seems it worked... but 
glibc is.. special.

Thanks in advance,

Giovanni P. Tirloni

More information about the CentOS mailing list